# -*- encoding: utf-8 -*-
# stub: autoparse 0.3.3 ruby lib

Gem::Specification.new do |s|
  s.name = "autoparse".freeze
  s.version = "0.3.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Bob Aman".freeze]
  s.date = "2020-02-22"
  s.description = "An implementation of the JSON Schema specification. Provides automatic parsing\nfor any given JSON Schema.\n".freeze
  s.email = "bobaman@google.com".freeze
  s.extra_rdoc_files = ["README.md".freeze]
  s.files = ["CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "lib/autoparse.rb".freeze, "lib/autoparse/inflection.rb".freeze, "lib/autoparse/instance.rb".freeze, "lib/autoparse/version.rb".freeze, "lib/compat/multi_json.rb".freeze, "spec/autoparse/instance_spec.rb".freeze, "spec/data/account.json".freeze, "spec/data/address.json".freeze, "spec/data/adult.json".freeze, "spec/data/booleans.json".freeze, "spec/data/calendar.json".freeze, "spec/data/card.json".freeze, "spec/data/file.json".freeze, "spec/data/filelist.json".freeze, "spec/data/geo.json".freeze, "spec/data/hyper-schema.json".freeze, "spec/data/interfaces.json".freeze, "spec/data/json-ref.json".freeze, "spec/data/links.json".freeze, "spec/data/node.json".freeze, "spec/data/parentref.json".freeze, "spec/data/person.json".freeze, "spec/data/positive.json".freeze, "spec/data/schema.json".freeze, "spec/data/user-list.json".freeze, "spec/spec.opts".freeze, "spec/spec_helper.rb".freeze, "tasks/clobber.rake".freeze, "tasks/gem.rake".freeze, "tasks/git.rake".freeze, "tasks/metrics.rake".freeze, "tasks/rdoc.rake".freeze, "tasks/spec.rake".freeze, "tasks/yard.rake".freeze]
  s.homepage = "http://autoparse.rubyforge.org/".freeze
  s.rdoc_options = ["--main".freeze, "README.md".freeze]
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "A parsing system based on JSON Schema.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<addressable>.freeze, [">= 2.3.1"])
      s.add_runtime_dependency(%q<extlib>.freeze, [">= 0.9.15"])
      s.add_development_dependency(%q<launchy>.freeze, [">= 2.1.1"])
      s.add_runtime_dependency(%q<multi_json>.freeze, [">= 1.0.0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0.9.0"])
      s.add_development_dependency(%q<rspec>.freeze, [">= 2.11.0"])
    else
      s.add_dependency(%q<addressable>.freeze, [">= 2.3.1"])
      s.add_dependency(%q<extlib>.freeze, [">= 0.9.15"])
      s.add_dependency(%q<launchy>.freeze, [">= 2.1.1"])
      s.add_dependency(%q<multi_json>.freeze, [">= 1.0.0"])
      s.add_dependency(%q<rake>.freeze, [">= 0.9.0"])
      s.add_dependency(%q<rspec>.freeze, [">= 2.11.0"])
    end
  else
    s.add_dependency(%q<addressable>.freeze, [">= 2.3.1"])
    s.add_dependency(%q<extlib>.freeze, [">= 0.9.15"])
    s.add_dependency(%q<launchy>.freeze, [">= 2.1.1"])
    s.add_dependency(%q<multi_json>.freeze, [">= 1.0.0"])
    s.add_dependency(%q<rake>.freeze, [">= 0.9.0"])
    s.add_dependency(%q<rspec>.freeze, [">= 2.11.0"])
  end
end
